package com.lz.modules.sys.entity.app;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
/**
* <p>
* 菜单权限表
* </p>*业绩详情表
* @author quyixiao
* @since 2020-08-13
*/

@Data
@TableName("lz_result_detail")
public class ResultDetail implements java.io.Serializable {
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除状态，1：删除，0：有效
    private Integer isDelete;
    //创建时间
    private Date gmtCreate;
    //最后修改时间
    private Date gmtModified;
    //1，业绩，2文化价值观
    private Integer type;
    //目标
    private String target;
    //关键结果
    private String keyResult;
    //考核权重
    private BigDecimal checkWeight;
    //考核结果
    private String checkResult;
    //直属上级评分
    private String superScore;
    //得分
    private BigDecimal acquireScore;
    //评分说明
    private String scoreComment;
    //记录id 
    private Long recordId;
    //用户id
    private Long staffId;
    //优先级，从大到小
    private Integer priority;

    public ResultDetail() {

    }

    public ResultDetail(Integer type) {
        this.type = type;
    }

    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除状态，1：删除，0：有效 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除状态，1：删除，0：有效 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     * 创建时间 
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 最后修改时间 
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     * 最后修改时间 
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 1，业绩，2文化价值观 
     * @return
     */
    public Integer getType() {
        return type;
    }
    /**
     * 1，业绩，2文化价值观 
     * @param type
     */
    public void setType(Integer type) {
        this.type = type;
    }

    /**
     * 目标 
     * @return
     */
    public String getTarget() {
        return target;
    }
    /**
     * 目标 
     * @param target
     */
    public void setTarget(String target) {
        this.target = target;
    }

    /**
     * 关键结果 
     * @return
     */
    public String getKeyResult() {
        return keyResult;
    }
    /**
     * 关键结果 
     * @param keyResult
     */
    public void setKeyResult(String keyResult) {
        this.keyResult = keyResult;
    }

    /**
     * 考核权重 
     * @return
     */
    public BigDecimal getCheckWeight() {
        return checkWeight;
    }
    /**
     * 考核权重 
     * @param checkWeight
     */
    public void setCheckWeight(BigDecimal checkWeight) {
        this.checkWeight = checkWeight;
    }

    /**
     * 考核结果 
     * @return
     */
    public String getCheckResult() {
        return checkResult;
    }
    /**
     * 考核结果 
     * @param checkResult
     */
    public void setCheckResult(String checkResult) {
        this.checkResult = checkResult;
    }

    /**
     * 直属上级评分 
     * @return
     */
    public String getSuperScore() {
        return superScore;
    }
    /**
     * 直属上级评分 
     * @param superScore
     */
    public void setSuperScore(String superScore) {
        this.superScore = superScore;
    }

    /**
     * 得分 
     * @return
     */
    public BigDecimal getAcquireScore() {
        return acquireScore;
    }
    /**
     * 得分 
     * @param acquireScore
     */
    public void setAcquireScore(BigDecimal acquireScore) {
        this.acquireScore = acquireScore;
    }

    /**
     * 评分说明 
     * @return
     */
    public String getScoreComment() {
        return scoreComment;
    }
    /**
     * 评分说明 
     * @param scoreComment
     */
    public void setScoreComment(String scoreComment) {
        this.scoreComment = scoreComment;
    }

    /**
     * 记录id  
     * @return
     */
    public Long getRecordId() {
        return recordId;
    }
    /**
     * 记录id  
     * @param recordId
     */
    public void setRecordId(Long recordId) {
        this.recordId = recordId;
    }

    /**
     * 用户id 
     * @return
     */
    public Long getStaffId() {
        return staffId;
    }
    /**
     * 用户id 
     * @param staffId
     */
    public void setStaffId(Long staffId) {
        this.staffId = staffId;
    }

    /**
     * 优先级，从大到小 
     * @return
     */
    public Integer getPriority() {
        return priority;
    }
    /**
     * 优先级，从大到小 
     * @param priority
     */
    public void setPriority(Integer priority) {
        this.priority = priority;
    }

    @Override
    public String toString() {
        return "ResultDetail{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",type=" + type +
                ",target=" + target +
                ",keyResult=" + keyResult +
                ",checkWeight=" + checkWeight +
                ",checkResult=" + checkResult +
                ",superScore=" + superScore +
                ",acquireScore=" + acquireScore +
                ",scoreComment=" + scoreComment +
                ",recordId=" + recordId +
                ",staffId=" + staffId +
                ",priority=" + priority +
                "}";
    }
}